Subject: Re: [RFC PATCH 02/19] powerpc: gamecube: device tree

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 27 Nov 2009 09:38:50 +1100

On Thu, 2009-11-26 at 23:15 +0100, Segher Boessenkool wrote:
> >> If you have only one interrupt controller, like here, you don't
> >> need to refer to it _at all_ :-)
> >
> > I think Linux requires that you do though. It might be a mistake on  
> > our
> > part but heh ...
> 
> Linux doesn't require it; (old) Macs are like this, for example,
> and that works fine.  Oh and all Maple firmwares are like that as
> well I think.  Etc.

It works fine on old macs thanks to a quirk we enable in the mac code
iirc and old maple works thanks to mere luck with the fallback code we
have which reads things of PCI config space :-)

Don't rely on that.

Cheers,
Ben.